Bug 166343 - Review Request: nail - An enhanced implementation of the mailx command
Summary: Review Request: nail - An enhanced implementation of the mailx command
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: David Lawrence
URL: http://nail.sourceforge.net
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2005-08-19 14:27 UTC by Dmitry Butskoy
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-26 10:35:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Dmitry Butskoy 2005-08-19 14:27:41 UTC
Spec Name or Url: http://dmitry.butskoy.name/nail/nail.spec
SRPM Name or Url: http://dmitry.butskoy.name/nail/nail-11.25-1.src.rpm

Description: 
  Nail is an enhanced mail command, which provides the functionality
of the POSIX mailx command. It is derived from Berkeley Mail.
  Additionally to the POSIX features, nail can work with Maildir/ e-mail
storage format (as well as mailboxes), supports IMAP, POP3 and SMTP
procotols (including over SSL) to operate with remote hosts, handles mime
types and different charsets. There are a lot of other useful features,
see nail.html in the documentation.
  And as its ancient analogues, nail can be used as a mail script language,
both for sending and receiving mail.


Additional info:

  As now RedHat recommends to use new Maildir/ format instead of old mailboxes,
the "mail" command becomes useless for mail reading, because it supports the mailbox format only. Using nail can solve this issue.
  In addition, nail provides many useful features, for a long time pending
to be implemented in a command line interface.

Comment 1 Oliver Falk 2005-08-22 12:22:25 UTC
Good:
 - rpmlint is clean
 - License is OK
 - Works with my IMAP server. :-)

To be changed:
 - Remove the 'An' from the beginning of the Summary
 - BuildRoot is not Fedora standard:
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 - I would remove the leading spaces in the %description
 - Use %{_sbindir}/sendmail in the makeflags; Inconsitent use of macros
 - Do we really need the nail webpage???



Comment 2 Dmitry Butskoy 2005-08-22 13:01:33 UTC
" - Remove the 'An' from the beginning of the Summary"
" - BuildRoot is not Fedora standard:"
done.

" - I would remove the leading spaces in the %description"
  I use leading spaces for paragraphs. IMHO, the description will be more
readable if paragraphs will be used. Or it is not recommended?

" - Use %{_sbindir}/sendmail in the makeflags;"
done.

" - Do we really need the nail webpage???"
Why are not? :-) It seemed to me that there is no good README in this package,
therefore I have added a copy of its current homepage.

  See new release: http://dmitry.butskoy.name/nail/nail-11.25-2.src.rpm



Comment 3 Oliver Falk 2005-08-22 13:19:01 UTC
(In reply to comment #2)
> " - I would remove the leading spaces in the %description"
>   I use leading spaces for paragraphs. IMHO, the description will be more
> readable if paragraphs will be used. Or it is not recommended?

Good, if you *wanted* it like this.
 
> " - Do we really need the nail webpage???"
> Why are not? :-) It seemed to me that there is no good README in this package,
> therefore I have added a copy of its current homepage.

OK. I thought the man-page is enough. But you are right a good readme is fine to
have...
 
>   See new release: http://dmitry.butskoy.name/nail/nail-11.25-2.src.rpm

Add this bug #166343 to the changelog... And I approve it.

Comment 4 Michael Schwendt 2005-08-22 13:28:18 UTC
Blank lines in front of paragraphs are most common.
Leading spaces decrease readability and lead to a sort of stair-case effect.

Comment 5 Dmitry Butskoy 2005-08-22 13:31:16 UTC
  Add bug #166343 to changelog.
  (The same source, I did not increment release for this...)

Comment 6 Dmitry Butskoy 2005-08-22 13:41:01 UTC
  Also change leading spaces to blank lines.

Comment 7 Dmitry Butskoy 2005-09-07 11:03:40 UTC
  Oliver,

  Whether you had plans to review this package? As no I am "sponsored", you can
do it...

Comment 8 Dmitry Butskoy 2005-09-07 11:05:48 UTC
 Brrr...
 As NOW I am sponsored, you can do it (WTF typo... :-)))

Comment 9 Dmitry Butskoy 2005-09-14 10:04:12 UTC
  ping -b somebody  :)

Comment 10 Aurelien Bompard 2005-09-25 16:07:56 UTC
I'm not trying to steal this package from you Oliver, but it looks fine to me.
Since there's been no answer for about a month, here's my APPROVED vote.
Two minor remarks:
 - why don't you use "%{?_smp_mflags}" ? If the package doesn't build with it,
please add a comment above the make line. Else, please add it.
 - krb5-devel is already required by openssl-devel, so you can remove it from
the BuildRequires.

Comment 11 Dmitry Butskoy 2005-09-26 10:05:10 UTC
 %{?_smp_mflags} -- OK

  krb5-devel -- nail uses gssapi stuff immediately (and checks for it before
compiling). 
  There is a hypothetical possibility that openssl will use another kerberos
implementation (heimdal for example), therefore we cannot rely that
openssl-devel will always imply krb5-devel ...

New SRPM: http://dmitry.butskoy.name/nail/nail-11.25-3.src.rpm
New SPEC: http://dmitry.butskoy.name/nail/nail.spec



Comment 12 Aurelien Bompard 2005-09-26 10:16:03 UTC
Okay, go ahead and import.

Comment 13 Michael Schwendt 2005-10-02 21:57:58 UTC
> %install
> make DESTDIR=$RPM_BUILD_ROOT `cat makeflags` install

rm -rf $RPM_BUILD_ROOT

is missing as the first command in this %install section.


Comment 14 Dmitry Butskoy 2005-10-03 11:34:21 UTC
Thanks,
(Why rpmlint-0.71 has told nothing about this? :( )

changed in CVS.

Comment 15 Dmitry Butskoy 2007-07-25 12:35:47 UTC
Package Change Request
======================
Package Name: nail
New Branches: EL-4 EL-5


Note You need to log in before you can comment on or make changes to this bug.